> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amplemarket.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add leads

> Add leads



## OpenAPI

````yaml post /sequences/{id}/leads
openapi: 3.0.1
info:
  title: Amplemarket API V1 Docs
  version: v1
servers:
  - url: https://api.amplemarket.com
security:
  - bearerAuth: []
paths:
  /sequences/{id}/leads:
    parameters:
      - name: id
        in: path
        schema:
          type: string
        required: true
        description: Sequence id
    post:
      tags:
        - Sequences
      summary: Add leads
      description: Add leads
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - leads
              additionalProperties: false
              properties:
                leads:
                  description: Leads to be added to the sequence
                  type: array
                  items:
                    type: object
                    properties:
                      email:
                        type: string
                        format: email
                        example: lead@target.example.com
                      linkedin_url:
                        type: string
                        format: uri
                        example: https://www.linkedin.com/in/example
                      data:
                        type: object
                        additionalProperties:
                          type: string
                          nullable: true
                          maxLength: 1024
                        example:
                          custom_nickname: Joe
                          company_name: Target
                        description: Additional lead data fields
                      overrides:
                        type: object
                        additionalProperties: false
                        properties:
                          ignore_recently_contacted:
                            type: boolean
                            description: >-
                              Whether we should override recently contacted
                              checks
                          ignore_exclusion_list:
                            type: boolean
                            description: 'Whether we should override exclusion list '
                          ignore_duplicate_leads_in_other_draft_sequences:
                            type: boolean
                            description: >-
                              Whether we should allow leads present in other
                              draft sequences
                          ignore_duplicate_leads_in_other_active_sequences:
                            type: boolean
                            description: >-
                              Whether we should allow leads present in other
                              active sequences
                settings:
                  type: object
                  additionalProperties: false
                  properties:
                    leads_distribution:
                      type: string
                      enum:
                        - sequence_senders
                        - custom_mailboxes
                      nullable: true
                      example: custom_mailboxes
                    mailboxes:
                      type: array
                      items:
                        type: string
                        format: email
                      example:
                        - salesrep@first.example.com
                        - salesrep@second.example.com
                      description: >-
                        Mailboxes to choose from when distributing with
                        custom_mailboxes
        required: true
      responses:
        '200':
          description: Ok
          content:
            application/json:
              examples:
                Adding a single lead:
                  value:
                    total: 1
                    total_added_to_sequence: 1
                    duplicate_emails: []
                    duplicate_linkedin_urls: []
                    in_exclusion_list_and_skipped: []
                    recently_contacted_and_skipped: []
                    already_in_sequence_and_skipped: []
                    in_other_draft_sequences_and_skipped: []
                    in_other_active_sequences_and_skipped: []
              schema:
                type: object
                additionalProperties: false
                properties:
                  total:
                    type: integer
                    description: Total number of leads processed in the request.
                  total_added_to_sequence:
                    type: integer
                    description: Total number of leads successfully added to the sequence.
                  duplicate_emails:
                    type: array
                    items:
                      type: string
                      description: >-
                        List of emails skipped because they are duplicated in
                        the request.
                  duplicate_linkedin_urls:
                    type: array
                    items:
                      type: string
                      description: >-
                        List of LinkedIn urls skipped because they are
                        duplicated in the request.
                  in_exclusion_list_and_skipped:
                    type: array
                    items:
                      type: object
                      properties:
                        email:
                          type: string
                        linkedin_url:
                          type: string
                    description: List of leads skipped due to exclusion list.
                  recently_contacted_and_skipped:
                    type: array
                    items:
                      type: object
                      properties:
                        email:
                          type: string
                        linkedin_url:
                          type: string
                    description: >-
                      List of leads skipped because they were recently
                      contacted.
                  already_in_sequence_and_skipped:
                    type: array
                    items:
                      type: object
                      properties:
                        email:
                          type: string
                        linkedin_url:
                          type: string
                    description: >-
                      List of leads skipped because they are already in this
                      sequence.
                  in_other_draft_sequences_and_skipped:
                    type: array
                    items:
                      type: object
                      properties:
                        email:
                          type: string
                        linkedin_url:
                          type: string
                    description: >-
                      List of leads skipped because they are present in another
                      draft sequence.
                  in_other_active_sequences_and_skipped:
                    type: array
                    items:
                      type: object
                      properties:
                        email:
                          type: string
                        linkedin_url:
                          type: string
                    description: >-
                      List of leads skipped because they are present in another
                      live or paused sequence.
        '400':
          description: Bad request
          content:
            application/json:
              examples:
                Bad request:
                  value:
                    _errors:
                      - code: missing_field
                        title: Missing Field
                        detail: 'Missing field from request: leads'
                        source:
                          pointer: /leads
                    object: error
              schema:
                $ref: '#/components/schemas/response_errors_object'
        '422':
          description: Unprocessable entity
          content:
            application/json:
              examples:
                Failed sequence validations:
                  value:
                    validation_errors:
                      - error_code: missing_lead_field
                        message: >-
                          Missing lead dynamic field 'it' on leads with indexes
                          [1]
              schema:
                type: object
                additionalProperties: false
                required:
                  - validation_errors
                properties:
                  validation_errors:
                    type: array
                    items:
                      type: object
                      required:
                        - error_code
                        - message
                      properties:
                        error_code:
                          nullable: false
                          type: string
                        message:
                          nullable: false
                          type: string
components:
  schemas:
    response_errors_object:
      type: object
      required:
        - object
        - _errors
      additionalProperties: false
      properties:
        object:
          type: string
          enum:
            - error
        _errors:
          type: array
          items:
            $ref: '#/components/schemas/response_error_object'
        _links:
          $ref: '#/components/schemas/response_links_object'
    response_error_object:
      type: object
      required:
        - code
        - title
        - detail
      additionalProperties: false
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          additionalProperties: false
          properties:
            pointer:
              type: string
    response_links_object:
      type: object
      required:
        - self
      additionalProperties: false
      properties:
        self:
          $ref: '#/components/schemas/response_link_object'
        prev:
          $ref: '#/components/schemas/response_link_object'
        next:
          $ref: '#/components/schemas/response_link_object'
    response_link_object:
      type: object
      required:
        - href
      additionalProperties: false
      properties:
        href:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````